[Distutils] PEP 345 update + RFC on "Requires-External" and "Requires-Python"

Chris Withers chris at simplistix.co.uk
Tue Nov 17 12:49:51 CET 2009

Tarek Ziadé wrote:
> On Tue, Nov 17, 2009 at 12:30 PM, Chris Withers <chris at simplistix.co.uk> wrote:
> [..]
>> I like the idea of Requires-Python, but only because I don't see why Python
>> can't just be specified in the equivalent of setuptools' install_requires
>> and its ilk.
>> Why can't python just be treated as another package on while a package my
>> have a particular version dependency?
> But it turns it into a chicken and egg problem:  what happens if your
> add "python>3" in "Requires-Dist" (the equivalent of install_requires)
> ?

True. Oh well. Requires-Python it is then...

> Pip or easy_install is going to look for Python 3, and install it ?
> then install itself in Python 3 and relaunch itself ?

That's what buildout does is you specify a version of itself ;-)


More information about the Distutils-SIG mailing list